Package twisted :: Package internet :: Module fdesc

[frames | no frames]

## Module twisted.internet.fdesc

Utility functions for dealing with POSIX file descriptors.

API Stability: stable

Maintainer: Itamar Shtull-Trauring

Function Summary
| ``readFromFD`(fd, callback)` Read from fd, calling callback with resulting data.
| ``setNonBlocking`(fd)` Make a fd non-blocking.

Function Details

### readFromFD(fd, callback)

Read from fd, calling callback with resulting data.

Returns same thing FileDescriptor.doRead would.

### setNonBlocking(fd)

Make a fd non-blocking.

Generated by Epydoc 2.0 on Sat May 15 20:08:42 2004 | http://epydoc.sf.net